Bug 1316094 - [HE] VDSM API - netinfo.CachingNetInfo doesn't exist anymore
[HE] VDSM API - netinfo.CachingNetInfo doesn't exist anymore
Status: CLOSED CURRENTRELEASE
Product: ovirt-hosted-engine-setup
Classification: oVirt
Component: Network (Show other bugs)
2.0.0
Unspecified Unspecified
urgent Severity urgent (vote)
: ovirt-4.0.0-alpha
: 2.0.0
Assigned To: Sandro Bonazzola
Artyom
: CodeChange, Regression, Triaged
Depends On:
Blocks: 1313872
  Show dependency treegraph
 
Reported: 2016-03-09 07:07 EST by Sandro Bonazzola
Modified: 2017-05-11 05:29 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:57:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: blocker+
rule-engine: planning_ack+
sbonazzo: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 54553 master MERGED network: update CachingNetInfo API calls 2016-03-09 09:49 EST

  None (edit)
Description Sandro Bonazzola 2016-03-09 07:07:59 EST
Description of problem:
2016-03-09 13:04:36 DEBUG otopi.context context._executeMethod:156 method exception
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/otopi/context.py", line 146, in _executeMethod
    method['method']()
  File "/usr/share/ovirt-hosted-engine-setup/scripts/../plugins/ovirt-hosted-engine-setup/network/bridge.py", line 114, in _customization
    info = netinfo.CachingNetInfo(
AttributeError: 'module' object has no attribute 'CachingNetInfo'


vdsm-4.17.999-706.gita08c287.el7.centos.noarch
Comment 1 Sandro Bonazzola 2016-03-09 07:13:51 EST
dan, can you please advise on what should be used instead of netinfo.CachingNetInfo ?
Comment 2 Artyom 2016-04-12 05:06:00 EDT
Verified on ovirt-hosted-engine-setup-2.0.0-0.0.master.20160325145108.gita9a3495.el7.centos.noarch

1) Deploy first host on NFS - pass
2) Deploy additional host - pass
Comment 3 Sandro Bonazzola 2016-07-05 03:57:57 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.